require 'sketchup.rb'
def set_attribute(key_in, value_in)
	model = Sketchup.active_model
	target_dictionary = model.attribute_dictionaries['dynamic_attributes']
	new_key = target_dictionary[key_in] = value_in
	#puts key_in
end

def load_attributes()

	list = []
	$option_string = "please select an attribute"
	model = Sketchup.active_model
	attrdicts = model.attribute_dictionaries
	attrdict = attrdicts["dynamic_attributes"]
	attrdict.each{|key,value|
		#puts "key: #{key} | value: #{value}"
		$option_string += "|#{key}"
	}
	#puts $option_string
	list << $option_string
	#puts list

	prompts = ["What attribute would you like to input values for?"]
	defaults = ["_leny_options"]
	#list = ["_leny_options|_lenx_options|_wall_thickness_options"]
	$input = UI.inputbox(prompts, defaults, list, "Select Attribute Target")
	#puts $input

	$att_string = ""
	csv=UI.openpanel("Choose CSV File...")
	lines=IO.readlines(csv)
	lines.each{|line|
		line.chomp!
		next if line.empty?
		new_line = line.gsub(",", " ") #replace commas
		new_line = new_line.gsub("  ", "") #replace double spaces
		new_line = new_line.gsub("   ", "") #replace double spaces (again)
		new_line = new_line.gsub("& ", "&") #replace double spaces (again)
		new_line = new_line.gsub("= ", "=") #replace double spaces (again)
		$att_string += new_line.to_s 
	}
	#puts $att_string
	set_attribute('_wall_thickness_options',$att_string)
	#set_attribute($input,$att_string)
end

def report_attributes()
	model = Sketchup.active_model
	attrdicts = model.attribute_dictionaries
	attrdict = attrdicts["dynamic_attributes"]
	attrdict.each{|key,value|
		puts "key: #{key} | value: #{value}"
	}
end